import { Module } from '@nestjs/common'

import { AgentServerModule } from '@/module/agent-server/agent-server.module'
import { SqlAgentModule } from '@/module/sql-agent/sql-agent.module'
import { TencentCloudModule } from '@/module/tencent-cloud/tencent-cloud.module'

import { ChatManagementModule } from '@/module/chat-management/chat-management.module'

@Module({
  imports: [SqlAgentModule, TencentCloudModule, AgentServerModule, ChatManagementModule]
})
export class AppModule {}
