import { HttpModule } from '@nestjs/axios'
import { Module } from '@nestjs/common'

import { ChatManagementController } from './chat-management.controller'
import { ChatManagementHttpService } from './service/chat-management-http.service'
import { ChatManagementService } from './service/chat-management.service'

@Module({
  imports: [
    HttpModule.register({
      timeout: 600000,
      maxRedirects: 3
    })
  ],
  controllers: [ChatManagementController],
  providers: [ChatManagementHttpService, ChatManagementService]
})
export class ChatManagementModule {}
